Bug 232378 - No possibility to accept untrusted SSL certificate when using command line SVN client
No possibility to accept untrusted SSL certificate when using command line SV...
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Subversion
7.4
PC Windows 7 x64
: P3 (vote)
: 8.0
Assigned To: Ondrej Vrabec
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 11:27 UTC by host
Modified: 2013-10-22 15:28 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description host 2013-07-08 11:27:41 UTC
I am using the command line SVN client within NetBeans and want to update a project hosted at Google Code.

When I try to do so, then I get a "SVN Command Failed" windows stating that "E230001: Unable to connect to a repository at URL 'https://hdot.googlecode.com/svn/trunk/OAT'
E230001: Server SSL certificate untrusted".

There is no possibility to (permanently) accept this SSL certificate to allow the connection/update.
Comment 1 Ondrej Vrabec 2013-07-08 13:43:34 UTC
fixing probably, although as usual no messages.log was attached so i cannot be sure if my assumption about 1.8 CLI is correct.

fix: http://hg.netbeans.org/core-main/rev/17270ce08f83
Comment 2 host 2013-07-08 13:51:13 UTC
INFO [org.netbeans.modules.subversion]: cli: ERROR "svn: E230001: Unable to connect to a repository at URL 'https://hdot.googlecode.com/svn/trunk/OAT'"
INFO [org.netbeans.modules.subversion]: cli: ERROR "svn: E230001: Server SSL certificate untrusted"
INFO [org.netbeans.modules.subversion]: svn: E230001: Unable to connect to a repository at URL 'https://hdot.googlecode.com/svn/trunk/OAT'
svn: E230001: Server SSL certificate untrusted
org.tigris.subversion.svnclientadapter.SVNClientException: svn: E230001: Unable to connect to a repository at URL 'https://hdot.googlecode.com/svn/trunk/OAT'
svn: E230001: Server SSL certificate untrusted
        at org.netbeans.modules.subversion.client.cli.CommandlineClient.checkErrors(CommandlineClient.java:970)
        at org.netbeans.modules.subversion.client.cli.CommandlineClient.exec(CommandlineClient.java:948)
        at org.netbeans.modules.subversion.client.cli.CommandlineClient.update(CommandlineClient.java:409)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:606)
        at org.netbeans.modules.subversion.client.SvnClientInvocationHandler.handle(SvnClientInvocationHandler.java:329)
        at org.netbeans.modules.subversion.client.SvnCmdLineClientInvocationHandler.invokeMethod(SvnCmdLineClientInvocationHandler.java:80)
        at org.netbeans.modules.subversion.client.SvnClientInvocationHandler.invoke(SvnClientInvocationHandler.java:167)
        at com.sun.proxy.$Proxy26.update(Unknown Source)
        at org.netbeans.modules.subversion.ui.update.UpdateAction.updateRoots(UpdateAction.java:288)
        at org.netbeans.modules.subversion.ui.update.UpdateAction.access$400(UpdateAction.java:86)
        at org.netbeans.modules.subversion.ui.update.UpdateAction$4.call(UpdateAction.java:230)
        at org.netbeans.modules.subversion.ui.update.UpdateAction$4.call(UpdateAction.java:227)
        at org.netbeans.modules.versioning.indexingbridge.Bridge$1.call(Bridge.java:64)
        at org.netbeans.modules.parsing.api.indexing.IndexingManager.runProtected(IndexingManager.java:396)
        at org.netbeans.modules.versioning.indexingbridge.Bridge.runWithoutIndexing(Bridge.java:59)
        at org.netbeans.modules.versioning.util.IndexingBridge.runWithoutIndexing(IndexingBridge.java:139)
        at org.netbeans.modules.versioning.util.IndexingBridge.runWithoutIndexing(IndexingBridge.java:102)
        at org.netbeans.modules.subversion.util.SvnUtils.runWithoutIndexing(SvnUtils.java:1816)
[catch] at org.netbeans.modules.subversion.ui.update.UpdateAction.update(UpdateAction.java:227)
        at org.netbeans.modules.subversion.ui.update.UpdateAction.update(UpdateAction.java:188)
        at org.netbeans.modules.subversion.ui.update.UpdateAction.access$000(UpdateAction.java:86)
        at org.netbeans.modules.subversion.ui.update.UpdateAction$2.perform(UpdateAction.java:149)
        at org.netbeans.modules.subversion.client.SvnProgressSupport.performIntern(SvnProgressSupport.java:111)
        at org.netbeans.modules.subversion.client.SvnProgressSupport.run(SvnProgressSupport.java:104)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1432)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2042)
Comment 3 host 2013-07-08 13:52:32 UTC
INFO [org.netbeans.modules.subversion.client.SvnClientFactory]: setup: using commandline as the client - saved in preferences
INFO [org.netbeans.modules.subversion]: Commandline client version: 1.8.0 (r1490375)
INFO [org.netbeans.modules.subversion.client.SvnClientFactory]: running on commandline
INFO [org.netbeans.modules.subversion]: Finished indexing svn cache with 250 entries. Elapsed time: 590 ms.
Comment 4 Quality Engineering 2013-07-10 04:43:04 UTC
Integrated into 'main-silver', will be available in build *201307100049* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/17270ce08f83
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #232378 - No possibility to accept untrusted SSL certificate when using command line SVN client
Comment 5 -Silver- 2013-10-17 10:31:13 UTC
I installed the new Netbeans 7.4 two days ago and with this new version I have problem to connect to the svn server.
I made a clean installation (without importing the preferences of NB 7.3.1).
When I open a project under version control with SVN and select the update command netbeans displays the following error:

E230001: Unable to connect to a repository at URL 'https://**********/trunk'
E230001: Server SSL certificate verification failed: certificate has expired, certificate issued for a different hostname, issuer is not trusted

I configured netbeans SVN as follows:
Preferred client: CLI
Path to the SVN executable file: C:\Program Files\SlikSvn\bin

My subversion client is:
SilkSvn version 1.8.3 Windows7 x64
Comment 6 Ondrej Vrabec 2013-10-17 10:53:06 UTC
fix: http://hg.netbeans.org/core-main/rev/5c144ef2308f
Comment 7 Quality Engineering 2013-10-19 04:00:05 UTC
Integrated into 'main-silver', will be available in build *201310190001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/5c144ef2308f
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #232378 - No possibility to accept untrusted SSL certificate when using command line SVN client
Comment 8 -Silver- 2013-10-22 12:55:01 UTC
I installed the new Netbeans 7.4 some days ago and with this new version I have problem to connect to the svn server.
I made a clean installation (without importing the preferences of NB 7.3.1).
When I open a project under version control with SVN and select the update command netbeans displays the following error:

E230001: Unable to connect to a repository at URL 'https://**********/trunk'
E230001: Server SSL certificate verification failed: certificate has expired, certificate issued for a different hostname, issuer is not trusted

I configured netbeans SVN as follows:
Preferred client: CLI
Path to the SVN executable file: C:\Program Files\SlikSvn\bin

My subversion client is:
SilkSvn version 1.8.3 Windows7 x64
Comment 9 Ondrej Vrabec 2013-10-22 14:09:37 UTC
> I installed the new Netbeans 7.4 some days ago and with this new version I have problem to connect to the svn server.
fixed in Dev, not in 7.4
Comment 10 -Silver- 2013-10-22 15:28:46 UTC
(In reply to Ondrej Vrabec from comment #9)
> > I installed the new Netbeans 7.4 some days ago and with this new version I have problem to connect to the svn server.
> fixed in Dev, not in 7.4

Uhm, sorry, I apologize for the double post and for the mistake. 
I was at work and read this discussion too quickly. 
I'll read more carefully next time. 
Sorry. :(


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo